Name:          libadplug
Version:       2.3.3
Release:       2mamba
Summary:       AdPlug is an hardware independent AdLib sound player library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://adplug.sourceforge.net
Source:        https://github.com/adplug/adplug.git/adplug-%{version}/adplug-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbinio-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
Requires(post): %{__install_info}

%description
AdPlug is a free, cross-platform, hardware independent AdLib sound player library, mainly written in C++ and released under the LGPL.
AdPlug plays sound data, originally created for the AdLib (OPL2) audio board, directly from its original format on top of an OPL2 emulator or by using the real hardware.
No OPL chip is required for playback.

%package devel
Summary:       Static libraries and headers for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
AdPlug is a free, cross-platform, hardware independent AdLib sound player library, mainly written in C++ and released under the LGPL.
AdPlug plays sound data, originally created for the AdLib (OPL2) audio board, directly from its original format on top of an OPL2 emulator or by using the real hardware.
No OPL chip is required for playback.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n adplug-%{version}
autoreconf -f -i

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm -f %{buildroot}%{_infodir}/dir

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%install_info %{name}.info

%preun
%uninstall_info %{name}.info
:

%files
%defattr(-,root,root)
%{_libdir}/libadplug-%{version}.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_bindir}/adplugdb
%dir %{_includedir}/adplug
%{_includedir}/adplug/*.h
%{_libdir}/libadplug.a
%{_libdir}/libadplug.so
%{_libdir}/pkgconfig/adplug.pc
%{_infodir}/%{name}.info*
%{_mandir}/man1/adplugdb.*
%doc BUGS ChangeLog NEWS README TODO

%changelog
* Sat Apr 27 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.3-2mamba
- rebuilt with specfile fixes

* Thu Feb 04 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.3-1mamba
- update to 2.3.3

* Thu Dec 17 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.1-2mamba
- rebuilt with gcc 5.3.0

* Tue Jun 22 2010 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic update by autodist

* Sun Mar 21 2010 Davide Madrisan <davide.madrisan@gmail.com> 2.2-1mamba
- update to 2.2

* Wed Jun 27 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.1-1mamba
- update to 2.1

* Mon Jun 26 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.0-1qilnx
- update to version 2.0 by autospec

* Thu Aug 18 2005 Stefano Cotta Ramusino <whitone@gmail.com> 1.5.1-1qilnx
- package created by autospec
